Get all the workflows defined by the organization
curl --request GET \
--url https://workflow-app.thena.ai/api/v1/workflows \
--header 'x-api-key: <api-key>'import requests
url = "https://workflow-app.thena.ai/api/v1/workflows"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://workflow-app.thena.ai/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"uid": "<string>",
"type": "<string>",
"subType": "<string>",
"uniqueIdentifier": "<string>",
"name": "<string>",
"version": 123,
"triggerEvent": {
"uid": "<string>",
"description": "<string>",
"eventName": "<string>",
"schema": {},
"metadata": {}
},
"filters": {},
"annotations": [
"<string>"
],
"workflowDefinition": [
{
"stepIdentifier": 123,
"activity": {
"name": "<string>",
"uniqueIdentifier": "<string>",
"version": 123,
"autoUpgradeToLatestVersion": true
},
"input": {},
"retryPolicy": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"onFailure": "<string>",
"isSleepActivity": true,
"executionTimeout": 123,
"approver": {
"uid": "<string>",
"timeout": 123
},
"dependencies": [
"<string>"
],
"filters": {},
"compensationActivity": {}
}
],
"executingAgent": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"teamId": "<string>",
"metadata": {}
}
],
"total": 123
}Workflows
Get all the workflows defined by the organization
GET
/
api
/
v1
/
workflows
Get all the workflows defined by the organization
Authorizations
Enter your API key
Query Parameters
The team id to fetch workflows by
The page number to fetch workflows by
The limit of workflows to fetch
The type of workflows to fetch
Comma separated sub types of workflows to fetch
Example:
"WORKFLOW,AI_AGENT"
Get all the tasks of a workflow execution
Previous
Get all the workflows defined by the organization
Next
⌘I